SOTRUSS(1)

NOM
sotruss - Tracer les appels aux bibliothèques partagées avec PLT

SYNOPSIS
sotruss [OPTION...] [--] EXECUTABLE [EXECUTABLE-OPTION...]

DESCRIPTION
sotruss est un petit emballage autour de ld.so qui exécute l'EXECUTABLE tant qu'il existe. Il intercepte et produit une trace des appels aux bibliothèques partagées qui sont appelées par le processus exécuté avec la table des procédures de lien (« Procedure Linkage Table », PLT). Il produit l'appelant, l'appel et les paramètres de chaque appel exécuté.

OPTIONS

-F, --from LIST_PROVENANCE
    Tracer les appels en provenance des objets de LIST_PROVENANCE

-T, --to LIST_DESTINATION
    Tracer les appels vers les objets de LIST_DESTINATION

-e, --exit
    Afficher également les sorties des appels de fonction.

-f, --follow
    Tracer les processus fils quand ils sont créés par le processus courant résultant de l'appel système fork(2).

-o, --output NOMDEFICHIER
    Écrire la sortie dans NOMDEFICHIER (ou NOMDEFICHIER. dans le cas où -f est également utilisé) à la place de l'erreur standard.

-?, --help
    Afficher l'aide.

--usage
    Afficher un bref descriptif de l'utilisation de ce programme.

--version
    Afficher la version du programme.

AUTEUR
Le programme a été écrit pas Ulrich Drepper.

COPYRIGHT
Copyright © 2013 Free Software Foundation, Inc.
C'est un logiciel libre ; consultez les sources pour les conditions de copie. Il n'y a AUCUNE garantie ; même pas de VALEUR MARCHANDE ou d'ADÉQUATION À UNE UTILISATION PARTICULIÈRE.

VOIR AUSSI
ldd.so(8)

TRADUCTION
La traduction française de cette page de manuel a été créée par Gérard Delafond <gerard@delafond.org>, Christophe Blaess <ccb@club-internet.fr>, Thierry Vignaud <tvignaud@mandriva.com>, Alain Portal <aportal@univ-montp2.fr>, Denis Barbier <barbier@debian.org>, Nicolas François <nicolas.francois@centraliens.net>, Florentin Duneau <fduneau@gmail.com>, Thomas Blein <tblein@tblein.eu> et David Prévot <david@tilapin.org>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.